package com.archeus.dex.xml.test;

import com.archeus.WordList;

public class TestDexToXMLFi extends TestDexToXMLGeneric {

	public static String fileName = "C:\\Cache\\java\\WorkspaceTraducator\\DEXToXML\\data\\fi.html";  

	public void testPOSPlural() {
		loadFile(fileName);
		if (res.size() < 2)
			fail("size<2");
		WordList w = res.get(1);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pl = w.getChildren().get(0);
		assertEquals(pl.getType(), WordList.Type.PLURAL);
		assertEquals(pl.getList().toString(), "sunt,");
	}
	
	public void testPOSFi() {
		loadFile(fileName);
		if (res.size() < 2)
			fail("size<2");
		WordList w = res.get(1);
		assertEquals(w.getName(), WordList.Type.PLURAL_GROUP);
		assertEquals(w.getChildren().size(), 2);
		WordList pos = w.getChildren().get(1);
		assertEquals(pos.getType(), WordList.Type.POS);
		assertEquals(pos.getList().toString(), " vb. IV. Intranz. ");
	}

//	public void testPOStemporar() {
//		loadFile(fileName);
//		System.out.println(res.asXML(""));
//	}
}
